//
//  ViewController.swift
//  Bsp08_DatePicker
//
//  Created by User1 on 05.10.22.
//

import UIKit

class ViewController: UIViewController {
    
    // Referenzen
    @IBOutlet var datepicker: UIDatePicker!
   
    @IBOutlet var tdatum1: UITextField!
    
    @IBOutlet var tdatum2: UITextField!
    
    
   
    

    override func viewDidLoad() {
        super.viewDidLoad()
        tdatum1.text = "111"
        tdatum2.text = "abc"
        
        let calendar = Calendar.current
        var components = DateComponents()
        components.day = 29
        components.month = 11
        components.year = 2022
        components.hour = 11
        components.minute = 48
        // nun wird components zu einer Date Instanz
        let minDate = calendar.date(from: components)
        datepicker.minimumDate = minDate
        
        components.day = 29
        components.month = 2
        components.year = 2023
        components.hour = 12
        components.minute = 48
        // nun wird components zu einer Date Instanz
        let maxDate = calendar.date(from: components)
        datepicker.maximumDate = maxDate
      
        datepicker.datePickerMode = UIDatePicker.Mode.date
        datepicker.datePickerMode = UIDatePicker.Mode.dateAndTime
        datepicker.datePickerMode = UIDatePicker.Mode.time
        datepicker.datePickerMode = UIDatePicker.Mode.countDownTimer
        
        datepicker.datePickerMode = UIDatePicker.Mode.date
        
        
        datepicker.preferredDatePickerStyle = .inline
        datepicker.preferredDatePickerStyle = .automatic
        datepicker.preferredDatePickerStyle = .wheels
        datepicker.preferredDatePickerStyle = .compact  // nur Schalter
        datepicker.preferredDatePickerStyle = .wheels
        
        datepicker.preferredDatePickerStyle = .compact
        
    }

    // Action
    @IBAction func datepicker_changed(_ sender: UIDatePicker) {
        let calendar = Calendar.current // dies ist eine Instanz des datums
        
        let jahr = calendar.component(.year, from: datepicker.date)
        let monat = calendar.component(.month, from: datepicker.date)
        let tag = calendar.component(.day, from: datepicker.date)

        
        tdatum1.text = datepicker.date.description
        tdatum2.text = "Datum: \(tag).\(monat).\(jahr)"
    }

}

