//
//  EditNewViewController.swift
//  Bsp12_TableViewEditDeleteNew
//
//  Created by User1 on 09.11.22.
//

import UIKit

class EditNewViewController: UIViewController, UITextViewDelegate {
    
    @IBOutlet var labelCaption: UILabel!
    
    @IBOutlet var bnPulldown: UIButton!
    @IBOutlet var tName: UITextField!
    @IBOutlet var tRemark: UITextView!
    
    @IBOutlet var bnOk: UIButton!
    

    var  city : City = City(Continent.AFRICA,"","",Visited.NONE)
    var  resultCity : City = City(Continent.AFRICA,"","",Visited.NONE)
    var modus : ChangeMode = ChangeMode.CHANGE

    override func viewDidLoad() {
        super.viewDidLoad()
        
        resultCity.initCity(self.city)
        
        Basis.showOKDialog(parent: self,_title: "fee",_message: "www")
        
        tName.text = city.name
        tRemark.text = city.remark
        
        let menuClosure = {(action: UIAction) in
            self.updateKontinent(action.title)
            }
        
        // case AFRICA=0, AMERICA, ASIA, AUSTRALIA, EUROPE, ANTARKTIS
        var kontiArray = [UIAction]()
        for konti in Continent.allCases {
            var action = UIAction(title: getContinentText(konti), handler: menuClosure)
            //action.subtitle = "aaaaa"
            
            
            kontiArray.append( action )
        }
        let kontiRawValue = city.continent.rawValue
        
        kontiArray[ kontiRawValue ].state = .on
        
        //let a = UIAction(title: "aaa", handler: menuClosure)
        
                
        bnPulldown.menu = UIMenu(children: kontiArray)
        bnPulldown.showsMenuAsPrimaryAction = true
        bnPulldown.changesSelectionAsPrimaryAction = true
        
        bnOk.isEnabled = false
        switch modus {
            case .CHANGE: labelCaption.text = "Ändern"
            case .NEW: labelCaption.text = "Neuer Eintrag"
            default: labelCaption.text = "FEHLERHAFTER Eintrag in Modus"
        }
        
        tRemark.delegate=self
    }
    
    func updateKontinent(_ title:String) {
        resultCity.continent = getContinent(title)
        bnOk.isEnabled = true
    }
    
    @IBAction func tNameChanged(_ sender: UITextField) {
        resultCity.name = tName.text!
        bnOk.isEnabled = true
    }
    
    
    func textViewDidChange(_ textView: UITextView) {
        resultCity.remark = tRemark.text
        print(resultCity.remark)
        bnOk.isEnabled = true
    }

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
