//
//  ViewController.swift
//  Gesten
//
//  Created by User1 on 08.11.21.
//

import UIKit

class ViewController: UIViewController {
    @IBOutlet var labelCaption: UILabel!
    
    @IBOutlet var yellowView: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        labelCaption.text = "Bitte nach links oder rechts wischen"
        let gestureLeft1 = UISwipeGestureRecognizer(
            target: self,
            action:#selector(ViewController.gestureLeft(_:))
        )
        gestureLeft1.direction = .left
        yellowView.addGestureRecognizer(gestureLeft1)
        
        let gestureRight1 = UISwipeGestureRecognizer(
            target: self,
            action:#selector(ViewController.gestureRight(_:))
        )
        gestureRight1.direction = .right
        yellowView.addGestureRecognizer(gestureRight1)
        
        
        let gestureUp1 = UISwipeGestureRecognizer(
            target: self,
            action:#selector(ViewController.gestureUp(_:))
        )
        gestureUp1.direction = .up
        yellowView.addGestureRecognizer(gestureUp1)
        
        let gestureDown1 = UISwipeGestureRecognizer(
            target: self,
            action:#selector(ViewController.gestureDown(_:))
        )
        gestureDown1.direction = .down
        yellowView.addGestureRecognizer(gestureDown1)
    }

    
    
    @IBAction func gestureLeft(_ sender: Any) {
        labelCaption.text = "Bewegung nach links"
    }

    @IBAction func gestureRight(_ sender: Any) {
        labelCaption.text = "Bewegung nach rechts"
    }
    
    @IBAction func gestureUp(_ sender: Any) {
        labelCaption.text = "Bewegung nach up"
    }
     @IBAction func gestureDown(_ sender: Any) {
         labelCaption.text = "Bewegung nach downs"
     }
}

