//
//  ViewController.swift
//  Bsp07_Pickerview
//
//  Created by User1 on 05.10.22.
//

import UIKit

class ViewController: UIViewController , UIPickerViewDelegate, UIPickerViewDataSource{
    
    let staedte = ["Brüssel","Mailand", "Moskau","Kairo","Paris",
    "Wernigerode", "Hamburg", "New York", "Tokio", "London",
                   "Madrid","Rom"    ]
    
    let einwohner = [2,3,4,5,6,7,8,9]
    
    // Referenzen
    @IBOutlet var pickerview: UIPickerView!
    
    @IBOutlet var taktindex: UITextField!
    
    @IBOutlet var tinhalt: UITextField!
    
    // Action
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        taktindex.text = "Hallo"
        tinhalt.text = "Erstmal"
        self.pickerview.delegate=self
        self.pickerview.dataSource=self
    }

    // anzahl der Spalten
    func numberOfComponents(in pickerView:UIPickerView)-> Int{
           return 2
       }
       
       func pickerView(_ pickerView:UIPickerView, numberOfRowsInComponent component:Int) -> Int{
           if component==0 {
              return staedte.count
           }
           else {
              return einwohner.count
           }
       }
       func pickerView(_ pickerView:UIPickerView, titleForRow row:Int, forComponent component:Int) -> String?{
           if component==0 {
              return staedte[row]
           }
           else {
              return String(einwohner[row])
           }
       }
    
   
       
       func pickerView(_ pickerView: UIPickerView, didSelectRow row: Int, inComponent component: Int) {
           // selected Index
           
           let index = pickerview.selectedRow(inComponent: component)
           taktindex.text = String(index)
           if component==0 {
               tinhalt.text = staedte[index]
           }
           else {
               tinhalt.text = String(einwohner[index])
           }
         
       }

}

