//
//  CitiesDB.swift
//  Bsp11_TableView
//
//  Created by User1 on 19.10.22.
//

import UIKit

class CitiesDB: NSObject {
            
        public static func loadCitiesIntern()  -> Array<City> {
            var cities=[City]()
            cities.append( City( Continent.AMERICA ,  "New York",  "Manhattan", Visited.NONE)  )
            cities.append( City( Continent.EUROPE , "Mailand", "Mailander Scala",  Visited.AVERAGE)  )
            cities.append( City( Continent.AUSTRALIA ,"Central Australien",   "Ayers Rock, Uluru",  Visited.NONE)  )
            cities.append( City( Continent.AMERICA ,"Peru",  "Machu Picchu",  Visited.UP)  )
            cities.append( City( Continent.EUROPE ,"Wernigerode",  "HS Harz",  Visited.DOWN)  )

            cities.append( City( Continent.AUSTRALIA ,"Queensland",  "The Great Barrier Reef",  Visited.NONE)  )
            cities.append( City( Continent.AMERICA ,"Rio de Janeiro", "Karneval",  Visited.DOWN)  )
            cities.append( City( Continent.EUROPE ,"Brüssel",   "Atomium",  Visited.UP)  )
            cities.append( City( Continent.AUSTRALIA ,"Sidney",  "Opernhaus",  Visited.UP)  )
            cities.append( City( Continent.AFRICA ,"Kairo",  "Pyramiden",  Visited.NONE)  )
            cities.append( City( Continent.AMERICA ,"Chile",  "Atacama Wüste",  Visited.UP)  )
            cities.append( City( Continent.ANTARKTIS ,"Antarktis",  "Antarktische Eisschild",  Visited.UP)  )

            cities.append( City( Continent.ASIA ,"Tokio",  "Shinjuku Gyoen National Garden",  Visited.DOWN)  )
            cities.append( City( Continent.EUROPE ,"Kiel",  "Kieler Woche",  Visited.UP)  )
            cities.append( City( Continent.AFRICA ,"Hunsbergen",  "Apollo 11 Höhle",  Visited.NONE)  )
            cities.append( City( Continent.EUROPE ,"Dresden",  "Das grüne Zimmer",  Visited.NONE)  )
            cities.append( City( Continent.AFRICA ,"Marrakesch",  "Botanische Garten Jardin Majorelle",  Visited.DOWN)  )
            cities.append( City( Continent.AMERICA ,"San Fransisco",  "Golden Gate Bridge",  Visited.UP)  )
            cities.append( City( Continent.EUROPE ,"Halberstadt",  "John Cage",  Visited.NONE)  )
            cities.append( City( Continent.ASIA ,"Peking",  "Verbotene City",  Visited.NONE)  )
            cities.append( City( Continent.EUROPE ,"Venezuela",  "Angel Falls",  Visited.UP)  )
            cities.append( City( Continent.AMERICA ,"Bilbao",  "Guggenheim-Museum",  Visited.UP) )
            cities.append( City( Continent.ASIA ,"Chiang Mai",  "Der weiße Tempel",  Visited.UP) )
            cities.append( City( Continent.AMERICA ,"Rio de Janeiro",  "Zuckerhut",  Visited.NONE) )
            return cities
        }
    
    public static func saveCities(_ cities:Array<City>){
        let defaults = UserDefaults.standard
        defaults.set(cities.count,forKey: "citiesCount")
        var i:Int=0
        for city in cities {
            city.saveCity(defaults,i)
            i+=1
        }
    }
    public static func loadCities() -> Array<City>{
        var cities = [City]()  // leeres Array mit City's
        let defaults = UserDefaults.standard
        let count = defaults.integer(forKey: "citiesCount")
        
        for i in 0...count-1 {
            let city = City(Continent.AFRICA,"","",Visited.NONE)
            city.loadCity(defaults,i)
            cities.append(city)
        }
        return cities
    }
        
}
