//
//  InputViewController.swift
//  Bsp13_TableViewDoubleClick
//
//  Created by User1 on 30.11.22.
//

import UIKit

class InputViewController: UIViewController, UITextViewDelegate  {
    
    
    @IBOutlet var labelCaption: UILabel!
    
    @IBOutlet var tname: UITextField!
    @IBOutlet var bnContinent: UIButton!
 
    @IBOutlet var tremark: UITextView!
    
    @IBOutlet var bnOk: UIButton!
    
    
    var modus:ChangeMode  = ChangeMode.CHANGE
 
    var  city : City = City(Continent.AFRICA,"","",Visited.NONE)
    var  resultCity : City = City(Continent.AFRICA,"","",Visited.NONE)
    // Referenzen
    
    
    
    
    override func viewDidLoad() {
        super.viewDidLoad()

        resultCity.initCity(self.city)
        
        tname.text = city.name
        tremark.text = city.remark
            
        // case AFRICA=0, AMERICA, ASIA, AUSTRALIA, EUROPE, ANTARKTIS
        
        if modus == .DELETE {
            bnContinent.setTitle(getContinentText(city.continent), for: .normal)
            print("delete")
            print("change new")
            let menuClosure = {(action: UIAction) in
                //self.updateKontinent(action.title)
                }
            
            var kontiArray = [UIAction]()
            let action = UIAction(title: getContinentText(city.continent), handler: menuClosure)
            kontiArray.append( action )
            
            let kontiRawValue = 0 // city.continent.rawValue
            
            kontiArray[ kontiRawValue ].state = .on
            bnContinent.menu = UIMenu(children: kontiArray)
            bnContinent.showsMenuAsPrimaryAction = true
            bnContinent.changesSelectionAsPrimaryAction = true
        }
        else {
            print("change new")
            let menuClosure = {(action: UIAction) in
                self.updateKontinent(action.title)
                }
            
            var kontiArray = [UIAction]()
            for konti in Continent.allCases {
                let action = UIAction(title: getContinentText(konti), handler: menuClosure)
                kontiArray.append( action )
            }
            let kontiRawValue = city.continent.rawValue
            
            kontiArray[ kontiRawValue ].state = .on
            bnContinent.menu = UIMenu(children: kontiArray)
            bnContinent.showsMenuAsPrimaryAction = true
            bnContinent.changesSelectionAsPrimaryAction = true
        }
       

        
      
                
        
        
        bnOk.isEnabled = false
        switch modus {
            case .CHANGE:
                labelCaption.text = "Ändern"
                bnOk.setTitle("Speichern", for: .normal)
        case .DELETE:
            labelCaption.text = "Eintrag löschen"
            bnOk.setTitle("Löschen", for: .normal)
            tname.isEnabled=false
            tremark.isEditable=false
            bnOk.isEnabled = true
        case .NEW:
            labelCaption.text = "Neuer Eintrag"
            bnOk.setTitle("Einfügen", for: .normal)

            default: labelCaption.text = "FEHLERHAFTER Eintrag in Modus"
        }
        tremark.delegate=self
    }
    
    
    func updateKontinent(_ title:String) {
        resultCity.continent = getContinent(title)
        bnOk.isEnabled = true
    }
    
    
    func textViewDidChange(_ textView: UITextView) {
        resultCity.remark = tremark.text
        print(resultCity.remark)
        bnOk.isEnabled = true
    }

}
